OOjsUI Object-Oriented JavaScript – User Interface

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
OOUI\MediaWikiTheme Class Reference
Inheritance diagram for OOUI\MediaWikiTheme:
[legend]
Collaboration diagram for OOUI\MediaWikiTheme:
[legend]

## Public Member Functions
| getElementClasses (Element $element)
Public Member Functions inherited from OOUI\Theme
| getElementClasses (Element $element)
| Get a list of classes to be applied to a widget. More...
| updateElementClasses (Element $element)
| Update CSS classes provided by the theme. More...

## Additional Inherited Members
Static Public Member Functions inherited from OOUI\Theme
static | setSingleton (Theme $theme=null)
static | singleton ()

The documentation for this class was generated from the following file:

- php/themes/MediaWikiTheme.php